#include <WScom.h>
#include <WSCfunctionList.h>
#include <WSCbase.h>
//----------------------------------------------------------
//Function for the event procedure
//----------------------------------------------------------
#include <WSCvdrawingArea.h>
extern WSCvdrawingArea* newvdra_000;

void updateep(WSCbase* object){
  long val = object->getProperty(WSNvalue);
  newvdra_000->setUserData("scale value",(void*)val);
  newvdra_000->redraw();
}
static WSCfunctionRegister  op("updateep",(void*)updateep);
